Assign project role to group
Create or update project role assignment for group (upsert)
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectId | string | Yes | |
groupId | string | Yes |
Request body
{
"sendEmail": true,
"roleId": "string"
}Responses
200 — Success
{
"results": {
"hasMultipleRoles": true,
"updatedAt": "2024-01-01T00:00:00.000Z",
"createdAt": "2024-01-01T00:00:00.000Z",
"projectId": "string",
"organizationId": "string",
"assigneeName": "string",
"assigneeId": "string",
"assigneeType": "user",
"ownerType": "user",
"roleName": "string",
"roleId": "string"
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}